<EntityClassDefinition.SoftLock_Terminal_Standard_LowTech_ShoppingKiosk_mpoh_1_a __id="da904d70-eb07-45ec-98c9-45fe116e64c9" __path="libs/foundry/records/entities/scitem/mission_entities/softlock_terminal/softlock_terminal_standard_lowtech_shoppingkiosk_mpoh_1_a.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/buildingsets/human/lowtech/loc/stanton/hurston/lorville/mpoh_hospital/mpoh_pharmacy/mpoh_pharmacy_console_a.cgf" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="0.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SEntityComponentEffects __type="DataForgeComponentParams" __polymorphicType="SEntityComponentEffects">
      <entityEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="SEntitityEffectSystem_System" audioEnvironmentEffects="None" lightEffects="None" particleEffects="None" soundEffects="None" uiOwnerEffects="None">
        <materialEffects __type="SEntityEffectSystem_Category" __polymorphicType="EntityEffectSystem_MaterialCategory" allowMultipleTags="0" enabled="1">
          <tagEffects>
            <EntityEffectSystem_MaterialTagEffect __type="EntityEffectSystem_MaterialEffect" __polymorphicType="EntityEffectSystem_MaterialTagEffect" enabled="1" name="ScreenGlow" tag="00000000-0000-0000-0000-000000000000">
              <propertyLinks>
                <EntityEffectSystem_MaterialPropertyLink __type="SEntityEffectSystem_PropertyLink" __polymorphicType="EntityEffectSystem_MaterialPropertyLink" materialProperty="Glow" parameterName="00000000-0000-0000-0000-000000000000" subMeshName="mesh_screen_1">
                  <modifiers>
                    <SEntityEffectSystem_OverrideValueModifier __type="SEntityEffectSystem_PropertyModifier" __polymorphicType="SEntityEffectSystem_OverrideValueModifier" overrideValue="4.0" />
                  </modifiers>
                </EntityEffectSystem_MaterialPropertyLink>
              </propertyLinks>
            </EntityEffectSystem_MaterialTagEffect>
          </tagEffects>
          <triggerEffects />
        </materialEffects>
        <sequencerTags />
      </entityEffects>
      <staticColors />
      <staticValues />
      <tagsToEnableOnLoad />
      <triggersToEnableOnLoad />
    </SEntityComponentEffects>
    <SEntityAudioControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityAudioControllerParams" audioControllerEntityType="None" fullLODDistance="9000.0" fullToLowLODDistance="9050.0" occlusionAttenuationScaler="0.5" offLODDistance="10050.0" offToLowLODDistance="10000.0" randomSeedCount="0">
      <tags __type="TagList">
        <tags />
      </tags>
    </SEntityAudioControllerParams>
    <UIOwnerEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIOwnerEntityComponentParams" areScreens3D="0" areSounds3D="0" domainName="global" element="235bfc85-aa63-4fd5-b5d1-821fb3522a39" forceFlashColourCorrection="1" graph="00000000-0000-0000-0000-000000000000" hasActions="0" ignoreTrackviewUnloadRequests="0" invariantName="" loadDistance="40.0" loopMovie="0" movieAutoPlay="0" moviePath="" reflectLinkedStateMachines="0" reflectLocalStateMachine="1" startOpen="1" updateDistance="40.0" variantName="" />
    <UIRenderToTextureEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIRenderToTextureEntityComponentParams" aspectRatioOverride="0.0" compositeMaterialName="" directRenderStage="None" fallbackTextureOnOnload="" fieldOfView="10.0" grabCameraControlParams="00000000-0000-0000-0000-000000000000" hideRenderNodeOnUnload="0" interactionDistance="5.0" pickableCollision="Opaque" renderFlashBeforeCamera="0" renderType="DEFERRED" transparentListDepthBias="0.0">
      <secondaryTarget __type="UIRenderToTextureTarget" aspectRatio="1.7776000499725342" usePrimaryTargetBounds="0" />
    </UIRenderToTextureEntityComponentParams>
    <UIBuildingBlocksEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIBuildingBlocksEntityComponentParams" defaultStyle="00000000-0000-0000-0000-000000000000" enableFullScreenMouse="0">
      <layers>
        <BuildingBlocksLayer __type="BuildingBlocksLayer" layerName="_primary" renderTarget="Primary">
          <defaultView __type="BuildingBlocksView" name="_main">
            <component __type="CtxGraph_Component" __polymorphicType="UIGraph_BuildingBlocksContextComponent" canvas="bd4ad095-1ce0-493b-b4c0-9feae18281d4" />
          </defaultView>
          <views>
            <BuildingBlocksView __type="BuildingBlocksView" component="structInstance_UIGraph_BuildingBlocksContextComponent_props:1" name="_main" />
          </views>
        </BuildingBlocksLayer>
        <BuildingBlocksLayer __type="BuildingBlocksLayer" layerName="_secondary" renderTarget="Secondary">
          <defaultView __type="BuildingBlocksView" name="_background">
            <component __type="CtxGraph_Component" __polymorphicType="UIGraph_BuildingBlocksContextComponent" canvas="57d9c212-2367-4e79-9693-54e85a2ac879" />
          </defaultView>
          <views>
            <BuildingBlocksView __type="BuildingBlocksView" component="structInstance_UIGraph_BuildingBlocksContextComponent_props:1" name="_background" />
          </views>
        </BuildingBlocksLayer>
      </layers>
    </UIBuildingBlocksEntityComponentParams>
    <KioskInteractionEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="KioskInteractionEntityComponentParams" blockLookInputs="0" defaultForceLookAtLerpTime="0.05000000074505806" forceLookAtDecayFactor="2.0" forceLookAtIncreaseFactor="1.0" forceLookAtThreshold="0.800000011920929" FOVHaltDistanceMax="0.10000000149011612" FOVHaltDistanceMin="0.07500000298023224" FOVMax="1.2999999523162842" FOVMin="0.30000001192092896" FOVSpeedFactor="0.5" inActivityTimer="18000.0" initialForceLookAtLerpTime="0.4000000059604645" isAccessedFromVehicleSeat="0" lookInputFactor="0.800000011920929">
      <abilityLocks>Sprint</abilityLocks>
      <attractTransitions />
      <openInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="UseConsole" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </openInteraction>
      <openTransitions>
        <UIOwnerContextTransitionPair __type="UIOwnerContextTransitionPair" layerName="Idle" viewName="StateMachine.LoggedIn" />
      </openTransitions>
      <powerOffTransitions>
        <UIOwnerContextTransitionPair __type="UIOwnerContextTransitionPair" layerName="Idle" viewName="StateMachine.LoggedOut" />
      </powerOffTransitions>
    </KioskInteractionEntityComponentParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_enter" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>screen_interactive</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@Test_Use" IsPrimary="1">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="UseConsole" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
            <SpherePrimitive __type="SInteractionPointSpherePrimitiveParams" Radius="0.20000000298023224">
              <Center __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </SpherePrimitive>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="UseConsole" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SInteractionStateMachineParams __type="DataForgeComponentParams" __polymorphicType="SInteractionStateMachineParams">
      <StateTypes>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="States" networkAuthority="Server" StateTypeName="StateMachine">
          <DefaultState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="LoggedOut">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <entityTags __type="TagList">
              <tags />
            </entityTags>
            <exitStateEffectTags />
            <Interactions />
            <stateTags __type="TagList">
              <tags />
            </stateTags>
          </DefaultState>
          <StateModifiers>
            <SKioskInteractionStateModifier __type="SStateModifier" __polymorphicType="SKioskInteractionStateModifier">
              <onKioskInteractionClose __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="LoggedOut" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions />
              </onKioskInteractionClose>
              <onKioskInteractionOpen __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="LoggedIn">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <entityTags __type="TagList">
                  <tags />
                </entityTags>
                <exitStateEffectTags />
                <Interactions />
                <stateTags __type="TagList">
                  <tags />
                </stateTags>
              </onKioskInteractionOpen>
            </SKioskInteractionStateModifier>
          </StateModifiers>
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="LoggedOut" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="LoggedIn" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
          </States>
        </SInteractionStateType>
      </StateTypes>
    </SInteractionStateMachineParams>
    <SCInteractionStateGameplayTriggerComponentParams __type="DataForgeComponentParams" __polymorphicType="SCInteractionStateGameplayTriggerComponentParams">
      <onInteractionFailedTriggers />
      <onInteractionStateChangeTriggers />
      <onInteractionSuccessTriggers />
    </SCInteractionStateGameplayTriggerComponentParams>
    <UIBindingsInteractionsComponentParams __type="DataForgeComponentParams" __polymorphicType="UIBindingsInteractionsComponentParams" interactionDistance="50.0" />
    <UIBindingsVendorEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIBindingsVendorEntityComponentParams" namespace="" />
    <UIBindingsConsumerEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIBindingsConsumerEntityComponentParams" linkToPort="0" />
    <UIAudioComponentEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIAudioComponentEntityComponentParams" dialogueContext="00000000-0000-0000-0000-000000000000" UIAudioDef="92b70797-9d27-4bc7-844e-f360c880a858" useEntityClass="00000000-0000-0000-0000-000000000000">
      <offset __type="UIAudioComponent_Offset" __polymorphicType="UIAudioComponent_ManualOffset">
        <offset __type="QuatT">
          <Position __type="Vec3" x="0.0" y="0.10000000149011612" z="1.7000000476837158" />
          <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
        </offset>
      </offset>
      <videoAudioPauseTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
      <videoAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
      <videoAudioResumeTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
    </UIAudioComponentEntityComponentParams>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="" Type="UNDEFINED">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SShopUIProviderParams __type="DataForgeComponentParams" __polymorphicType="SShopUIProviderParams" defaultModeBuying="1" degradationIcon="">
      <categoryIcons />
    </SShopUIProviderParams>
    <UIEntityServiceEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIEntityServiceEntityComponentParams" immediateTransforms="0" />
    <UISimpleRenderNodeEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UISimpleRenderNodeEntityComponentParams" cardStageRadius="2.0" fixedScaleMax="0.0" fixedScaleMin="0.0" flattenBehavior="None" materialName="materials/default_ui.mtl" minimumBounds="1.0" sortDistance="0.0" />
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.SoftLock_Terminal_Standard_LowTech_ShoppingKiosk_mpoh_1_a>